Changes between Version 10 and Version 31 of Ticket #23696


Ignore:
Timestamp:
11/07/17 22:28:31 (4 years ago)
Author:
fbissey
Comment:

All right, it is time to move ahead. Please review.


New commits:

c35f93fupdate matplotlib spkg. Use github in spkg-src instead of pypy (url more stable).
d8630f8matplotlib doesn't like integer in some context, and after 2.0, doesn't seem to cast them.
ecf0cb7fix arrow.py. 1) slight change of interface 2) in a doctest, improve the selection done by regular expression.
6a0510fRemove warning suppression needed with MPL-1.5/numpy-1.13

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #23696

    • Property Status changed from new to needs_review
    • Property Authors changed from to François Bissey, Steven Trogdon
    • Property Branch changed from to u/fbissey/MPL-2.1.0
    • Property Report Upstream changed from N/A to None of the above - read trac for reasoning.
    • Property Commit changed from to 6a0510f35a19f907a719edb832c80dc8ecf6ffea
  • Ticket #23696 – Description

    v10 v31  
    11It's time we update; Debian already uses matplotlib 2.0.0
    22
    3 Unfortunately, there are various doctest failures.
    4 
    5 We should also revert these lines in `src/sage/all.py` (added in #24063):
    6 {{{
    7 # Ignore warnings due to matplotlib-1.5 together with numpy-1.13
    8 warnings.filterwarnings('ignore', module='matplotlib[.]contour|numpy[.]ma[.]core')
    9 }}}
     3Tarball:
     4* [http://sagetrac.lipn.univ-paris13.fr/sage/matplotlib-2.1.0.tar.bz2]